Sponsor a wind-down transaction's fee for a reserve-locked account.
curl --request POST \
--url https://api.lumenwipe.com/{network}/fee-bump/sponsor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction": "AAAAAgAAAAB..."
}
'import requests
url = "https://api.lumenwipe.com/{network}/fee-bump/sponsor"
payload = { "transaction": "AAAAAgAAAAB..." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({transaction: 'AAAAAgAAAAB...'})
};
fetch('https://api.lumenwipe.com/{network}/fee-bump/sponsor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction": "AAAABQAAAAB..."
}Fee sponsorship
Sponsor a wind-down transaction's fee for a reserve-locked account.
POST
/
{network}
/
fee-bump
/
sponsor
Sponsor a wind-down transaction's fee for a reserve-locked account.
Authorizations
Integrator API key
Path Parameters
Available options:
testnet, mainnet Body
application/json
The unsigned or user-signed wind-down transaction to sponsor (base64 XDR), inner fee set to zero.
Example:
"AAAAAgAAAAB..."
Response
The transaction wrapped in a fee-bump envelope and signed (base64 XDR).
The fee-bumped transaction envelope (base64 XDR), signed by the sponsor.
Example:
"AAAABQAAAAB..."